
QGIS Application - Bug report #19023

Crash on Check Geometry

2018-05-24 06:58 PM - Barry Dyer

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Geometry

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26854

Description

User Feedback

Report Details

Crash ID: 0ab509c919d211cd16f2e5c49745bb8675c26946

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::QgsGeos :

_C_specific_handler :

_TypeMatch :

is_exception_typeof :

_CxxFrameHandler3 :

_chkstk :

RtlUnwindEx :

FindAndUnlinkFrame :

_TypeMatch :

is_exception_typeof :

is_exception_typeof :

_CxxFrameHandler3 :

_chkstk :

RtlWalkFrameChain :

RtlRaiseException :

RaiseException :

CxxThrowException :

QgsGeos::symDifference :

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

geos::index::bintree::Key::Key :

_unDNameEx :

_is_exception_typeof :

RtlCaptureContext :

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::overlay :

QgsGeos::intersection :

QgsGeometryOverlapCheck::collectErrors :

QgsGeometryChecker::runCheck :

QgsGeometryChecker::runCheck :

QgsGeometryChecker::runCheck :

QgsGeometryChecker::fixError :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-06-04 03:55 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

- Status changed from Open to Feedback

Looks more like a GEOS issue to me. 

Would you please attach a minimal QGIS project and data and step-by-step instructions about how to reproduce this issue?

#2 - 2018-06-05 02:18 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of #14752
